---
title: Starplot - Star Charts and Maps in Python
---

# Welcome to Starplot
![GitHub Workflow Status](https://img.shields.io/github/actions/workflow/status/steveberardi/starplot/test.yml?style=for-the-badge&color=a2c185)
![PyPI](https://img.shields.io/pypi/v/starplot?style=for-the-badge&color=85C0C1)
![License](https://img.shields.io/github/license/steveberardi/starplot?style=for-the-badge&color=A485C1)

Starplot is a Python library for creating star charts and maps.

- ⭐ **Zenith Plots** - showing the stars from a specific time/location

- 🗺️ **Map Plots** - including North/South polar and Mercator projections

- 🪐 **Planets and Deep Sky Objects (DSOs)**

- 🎨 **Custom Styles** - for all objects

- 📥 **Export** - png, svg

- 🧭 **Label Collision Avoidance**

*Example charts and maps created with Starplot:*
<figure markdown>
  <img src="images/example_1.png" height="900" width="900">
  <figcaption>Zenith plot of the stars from a specific time/location (<a href="examples/#star-chart-for-timelocation">source code</a>)</figcaption>
</figure>

<figure markdown>
  <img src="images/example_3.png" width="900">
  <figcaption>Map around the constellation Orion, with M42 marked (<a href="examples/#map-of-orion">source code</a>)</figcaption>
</figure>


<figure markdown>
  <img src="images/map-sgr.png" width="900">
  <figcaption>Map around the constellation Sagittarius, with a stereographic projection and dark color style</figcaption>
</figure>

---

✨ [Check out more examples...](examples.md)
